import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class GeistContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    geistRewards({ address, network }: ContractOpts): import("./ethers").GeistRewards;
    geistStaking({ address, network }: ContractOpts): import("./ethers").GeistStaking;
}
export type { GeistRewards } from './ethers';
export type { GeistStaking } from './ethers';
